=== queue-dialog/tests/CMakeLists.txt ===
add_subdirectory(qmltests)
