=== debian/changelog ===
lomiri-printing-app (0.4.1-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Jan 2025 17:56:28 +0100

lomiri-printing-app (0.4.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1092942).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jan 2025 18:38:41 +0100
