=== debian/control ===
Source: lomiri-printing-app
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 3.15),
               cmake-extras (>= 1.3),
               debhelper-compat (= 13),
               dh-apparmor,
               gcovr,
               googletest | google-mock,
               intltool,
               lcov,
               libboost-dev,
               libcups2-dev,
               libglib2.0-dev (>= 2.35.4),
               libnotify-dev,
               libpoppler-qt5-dev,
               libproperties-cpp-dev,
               liblomiri-url-dispatcher-dev,
               qml-module-qtquick2,
               qml-module-qtquick-layouts,
               qml-module-qttest,
               qml-module-lomiri-components (>= 1.3),
               qml-module-lomiri-components-extras,
               qml-module-lomiri-test,
               qml-module-lomiri-content,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-printing-app/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-printing-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-printing-app/

Package: lomiri-printing-app
Architecture: any
Depends: qml-module-qtquick2,
         qml-module-qtquick-layouts,
         qml-module-lomiri-components (>= 1.3),
         qml-module-lomiri-content,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Printing app which consumes a PDF from content hub
 This app is an add-on app for Ubuntu Touch's shell Lomiri. Ubuntu Touch
 is a mobile OS developed by the UBports Foundation. Lomiri is its
 operating environment optimized for touch based human-machine
 interaction, but also supports convergence (i.e. switching between
 tablet/phone and desktop mode).
 .
 This package provides Lomiri's Printing App. The printing app consumes a
 PDF document from Lomiri's content-hub, allows for basic configuration
 and then sends the to-be-printed document to a CUPS print queue.
