## lomiri-printing-app 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.15)
-project(lomiri-printing-app VERSION 0.4.1 LANGUAGES CXX)
+project(lomiri-printing-app VERSION 0.4.2 LANGUAGES CXX)
 
 
 # Always Be Testing
