=== queue-dialog/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 endif()
 
 # Set the desktop file variables
-set(EXEC "env APP_ID=${APP_HARDCODE} ${APP_HARDCODE}")
+set(EXEC "${APP_HARDCODE}")
 set(ICON "${ICON_DESTINATION}/${ICON_FILE}")
 if (SNAP_MODE)
   set(ICON "$SNAP/${ICON}")
