=== lomiri-printing-app/backend/CMakeLists.txt ===
set(LIBNAME LomiriPrintingAppBackend)

set(
  LomiriPrintingAppSRC
  LomiriPrintingApp/backend.cpp
  LomiriPrintingApp/document.cpp
  LomiriPrintingApp/popplerimageprovider.cpp
  LomiriPrintingApp/pagehelper.cpp
)

add_library(${LIBNAME} SHARED ${LomiriPrintingAppSRC})

target_include_directories(${LIBNAME}
  PUBLIC
  ${POPPLER-QT_INCLUDE_DIRS}
)

target_link_libraries(${LIBNAME}
  PUBLIC
  ${POPPLER-QT_LIBRARIES}
  Qt5::Core
  Qt5::Gui
  Qt5::Qml
  Qt5::Quick
)

set_target_properties(${LIBNAME} PROPERTIES
  LIBRARY_OUTPUT_DIRECTORY LomiriPrintingApp
)

# Copy the qmldir file to the build dir
add_custom_target(LomiriPrintingApp_qmldir ALL
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/LomiriPrintingApp/qmldir ${CMAKE_CURRENT_BINARY_DIR}/LomiriPrintingApp
  DEPENDS ${QMLFILES})

# Install the plugin file
install(TARGETS ${LIBNAME} DESTINATION ${QT_IMPORTS_DIR}/LomiriPrintingApp)
install(FILES LomiriPrintingApp/qmldir DESTINATION ${QT_IMPORTS_DIR}/LomiriPrintingApp)
