=== lomiri-printing-app/tests/CMakeLists.txt ===
add_subdirectory(resources)
add_subdirectory(qmltests)
add_subdirectory(unittests)
