=== queue-dialog/tests/qmltests/CMakeLists.txt ===
set(TEST tst_QueueDialogQmlTests)
add_test(${TEST} ${XVFB_COMMAND} ${QMLTESTRUNNER}
         -input ${CMAKE_CURRENT_SOURCE_DIR})


# Add the qml test files to build dir
set(QUEUE_QMLTEST_FILES
    tst_QueueDelegate.qml
    tst_QueuePage.qml
    tst_QueueView.qml
)

add_custom_target(queue_qmltest_copyFiles ALL
  COMMENT "Copying files: ${QUEUE_QMLTEST_FILES}")

foreach(FILENAME ${QUEUE_QMLTEST_FILES})
  add_custom_command(
    TARGET queue_qmltest_copyFiles
    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/${FILENAME}" "${CMAKE_CURRENT_BINARY_DIR}/${FILENAME}"
    )
endforeach(FILENAME)

# Show in QtC
add_custom_target(queue_qmltest_files ALL SOURCES ${QUEUE_QMLTEST_FILES})
