=== lomiri-printing-app/tests/unittests/backend/CMakeLists.txt ===
add_executable(testDocument tst_document.cpp ${PDF_TEST_FILES})
target_include_directories(testDocument PRIVATE ${CMAKE_SOURCE_DIR}/lomiri-printing-app/backend)
target_link_libraries(testDocument LomiriPrintingAppBackend Qt5::Test Qt5::Gui)
add_test(tst_document testDocument)

add_executable(testPageHelper tst_pagehelper.cpp ${PDF_TEST_FILES})
target_include_directories(testPageHelper PRIVATE ${CMAKE_SOURCE_DIR}/lomiri-printing-app/backend)
target_link_libraries(testPageHelper LomiriPrintingAppBackend Qt5::Test Qt5::Gui)
add_test(tst_pagehelper testPageHelper)

add_executable(testPopplerImageProvider tst_popplerimageprovider.cpp ${PDF_TEST_FILES})
target_include_directories(testPopplerImageProvider PRIVATE ${CMAKE_SOURCE_DIR}/lomiri-printing-app/backend)
target_link_libraries(testPopplerImageProvider LomiriPrintingAppBackend Qt5::Test Qt5::Gui)
add_test(tst_popplerimageprovider testPopplerImageProvider)
