=== debian/changelog ===
lomiri-printing-app (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop 1001_fix-desktop-files.patch. Applied upstream.
    + Add 2002_hide-app-if-not-in-lomiri.patch.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 15:09:52 +0200
