=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                qtdeclarative5-dev-tools,
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-printing-app/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-printing-app.git
